<img src="https://raw.githubusercontent.com/wamphlett/flutterl10nmanager/master/doc/assets/header.png?token=ABXDKUJJZWY4634VCRI57HS5G4WAW" width="100%">

# Flutter L10N Manager
Having lots of localisation files to manage can be quite tedious, especially for larger projects. This package aims to make that management easier. The manager will export all of your localisation files into one manageable CSV. This CSV can then be distributed between your translators and once your translations are complete, you can use the manager to rebuild your localisations files straight back into your Flutter project.

<img src="https://raw.githubusercontent.com/wamphlett/flutterl10nmanager/master/doc/assets/spreadsheet.png?token=ABXDKUK5YDIGTMG3HLQRDPS5G4YCC" width="100%">

## Install
After cloning the package. Navigate to the package directory and create the executable.

```
dart2aot bin/main.dart bin/main.dart.aot
```

Then activate the executable file globally

```
pub global activate --source path path/to/flutterl10nmanager
```

## Commands

### `export`
The [export command](https://github.com/wamphlett/flutterl10nmanager/blob/master/lib/commands/export.dart) looks at you Flutter projects internationalisation directory and builds a single CSV containing all of your localisations as defined in [`intl_messages.arb`](https://flutter.dev/docs/development/accessibility-and-localization/internationalization#appendix-using-the-dart-intl-tools) and all of the corisponding language values from your `intl_<locale>.arb` files.

example usage:
```
flutterl10nmanager export path/to/flutter/l10n/dir -o optional/output/file.csv
```

### `create`
The [create command](https://github.com/wamphlett/flutterl10nmanager/blob/master/lib/commands/create.dart) takes a csv which was generated by the `export` command and creates an internationalisation arb file for each language specifed in the csv.


example usage:
```
flutterl10nmanager create path/to/export.csv -o optional/output/dir
```
